Bug 1647799 - "Maximum call stack size exceeded" error when opening running task in web UI
Summary: "Maximum call stack size exceeded" error when opening running task in web UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Ivan Necas
QA Contact: Mirek Zalewski
URL:
Whiteboard:
: 1648340 1657947 1662325 1664246 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-08 11:47 UTC by Mirek Zalewski
Modified: 2019-10-08 09:45 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-foreman-tasks-0.14.4.3-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:40 UTC


Attachments (Terms of Use)
Screenshot showing problem (158.45 KB, image/png)
2018-11-08 11:47 UTC, Mirek Zalewski
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:47 UTC
Foreman Issue Tracker 25444 None None None 2018-11-13 14:05:58 UTC

Description Mirek Zalewski 2018-11-08 11:47:01 UTC
Created attachment 1503304 [details]
Screenshot showing problem

If page for running task is opened in web UI, after some time navigation menu will disappear. Web dev console will show JS error "Maximum call stack size exceeded" (which suggests infinite recurring function somewhere). See attached screenshot and log from console below.


Version-Release number of selected component (if applicable):
Sat 6.5 snap 2
katello-3.9.0-0.11.rc2.el7sat.noarch
satellite-6.5.0-3.beta.el7sat.noarch
foreman-1.20.0-0.17.RC2.el7sat.noarch
Chrome 70.0.3538.67
Firefox 60.2.2esr


Steps to Reproduce:
1. Start some long running task, like synchronizing repository
2. Monitor -> Tasks -> open task started before (or any other with Result "Pending")
3. Wait for some time (less than 2 minutes on my machine; probably depends on exact hardware and browser version)


Log from Chrome console:
VM86:1 Uncaught Error: only one instance of babel-polyfill is allowed
    at Object.eval (eval at globalEval (vendor-ec5f6a1f89a9337b47f6.js:122), <anonymous>:1:145403)
    at Object.node_modules/babel-polyfill/lib/index.js (eval at globalEval (vendor-ec5f6a1f89a9337b47f6.js:122), <anonymous>:1:145937)
    at a (eval at globalEval (vendor-ec5f6a1f89a9337b47f6.js:122), <anonymous>:1:410)
    at Object.0 (eval at globalEval (vendor-ec5f6a1f89a9337b47f6.js:122), <anonymous>:1:832)
    at a (eval at globalEval (vendor-ec5f6a1f89a9337b47f6.js:122), <anonymous>:1:410)
    at eval (eval at globalEval (vendor-ec5f6a1f89a9337b47f6.js:122), <anonymous>:1:803)
    at eval (eval at globalEval (vendor-ec5f6a1f89a9337b47f6.js:122), <anonymous>:1:812)
    at eval (<anonymous>)
    at Function.globalEval (vendor-ec5f6a1f89a9337b47f6.js:122)
    at text script (vendor-ec5f6a1f89a9337b47f6.js:133)
(anonymous) @ VM86:1
node_modules/babel-polyfill/lib/index.js @ VM86:1
a @ VM86:1
0 @ VM86:1
a @ VM86:1
(anonymous) @ VM86:1
(anonymous) @ VM86:1
globalEval @ vendor-ec5f6a1f89a9337b47f6.js:122
text script @ vendor-ec5f6a1f89a9337b47f6.js:133
(anonymous) @ vendor-ec5f6a1f89a9337b47f6.js:133
j @ vendor-ec5f6a1f89a9337b47f6.js:133
(anonymous) @ vendor-ec5f6a1f89a9337b47f6.js:133
send @ vendor-ec5f6a1f89a9337b47f6.js:133
ajax @ vendor-ec5f6a1f89a9337b47f6.js:133
f._evalUrl @ vendor-ec5f6a1f89a9337b47f6.js:133
ke @ vendor-ec5f6a1f89a9337b47f6.js:133
replaceWith @ vendor-ec5f6a1f89a9337b47f6.js:133
success @ VM83:16
l @ vendor-ec5f6a1f89a9337b47f6.js:133
fireWith @ vendor-ec5f6a1f89a9337b47f6.js:133
j @ vendor-ec5f6a1f89a9337b47f6.js:133
(anonymous) @ vendor-ec5f6a1f89a9337b47f6.js:133
load (async)
send @ vendor-ec5f6a1f89a9337b47f6.js:133
ajax @ vendor-ec5f6a1f89a9337b47f6.js:133
f._evalUrl @ vendor-ec5f6a1f89a9337b47f6.js:133
ke @ vendor-ec5f6a1f89a9337b47f6.js:133
replaceWith @ vendor-ec5f6a1f89a9337b47f6.js:133
success @ VM83:16
l @ vendor-ec5f6a1f89a9337b47f6.js:133
fireWith @ vendor-ec5f6a1f89a9337b47f6.js:133
j @ vendor-ec5f6a1f89a9337b47f6.js:133
(anonymous) @ vendor-ec5f6a1f89a9337b47f6.js:133
load (async)
send @ vendor-ec5f6a1f89a9337b47f6.js:133
ajax @ vendor-ec5f6a1f89a9337b47f6.js:133
reload @ VM83:11
setTimeout (async)
start @ VM83:30
(anonymous) @ VM83:88
(anonymous) @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
dispatch @ vendor-ec5f6a1f89a9337b47f6.js:133
b.handle @ vendor-ec5f6a1f89a9337b47f6.js:133
trigger @ vendor-ec5f6a1f89a9337b47f6.js:133
(anonymous) @ vendor-ec5f6a1f89a9337b47f6.js:133
each @ vendor-ec5f6a1f89a9337b47f6.js:122
each @ vendor-ec5f6a1f89a9337b47f6.js:122
trigger @ vendor-ec5f6a1f89a9337b47f6.js:133
onLoad @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
dispatch @ vendor-ec5f6a1f89a9337b47f6.js:133
b.handle @ vendor-ec5f6a1f89a9337b47f6.js:133
K @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
tt.onload @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
load (async)
$ @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
x @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
e @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
e.handle @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
vendor-ec5f6a1f89a9337b47f6.js:133 [Violation] 'load' handler took 232ms
VM87:1 Uncaught TypeError: Cannot set property Jed of #<Window> which has only a getter
    at Object../webpack/assets/javascripts/react_app/common/I18n.js (eval at globalEval (vendor-ec5f6a1f89a9337b47f6.js:122), <anonymous>:1:43047)
    at a (eval at globalEval (vendor-ec5f6a1f89a9337b47f6.js:122), <anonymous>:1:410)
    at Object../webpack/assets/javascripts/foreman_tools.js (eval at globalEval (vendor-ec5f6a1f89a9337b47f6.js:122), <anonymous>:1:35873)
    at a (eval at globalEval (vendor-ec5f6a1f89a9337b47f6.js:122), <anonymous>:1:410)
    at Object../webpack/assets/javascripts/foreman_compute_resource.js (eval at globalEval (vendor-ec5f6a1f89a9337b47f6.js:122), <anonymous>:1:14978)
    at a (eval at globalEval (vendor-ec5f6a1f89a9337b47f6.js:122), <anonymous>:1:410)
    at Object../webpack/assets/javascripts/bundle.js (eval at globalEval (vendor-ec5f6a1f89a9337b47f6.js:122), <anonymous>:1:311)
    at a (eval at globalEval (vendor-ec5f6a1f89a9337b47f6.js:122), <anonymous>:1:410)
    at window.webpackJsonp (eval at globalEval (vendor-ec5f6a1f89a9337b47f6.js:122), <anonymous>:1:284)
    at eval (eval at globalEval (vendor-ec5f6a1f89a9337b47f6.js:122), <anonymous>:1:1)
./webpack/assets/javascripts/react_app/common/I18n.js @ VM87:1
a @ VM86:1
./webpack/assets/javascripts/foreman_tools.js @ VM87:1
a @ VM86:1
./webpack/assets/javascripts/foreman_compute_resource.js @ VM87:1
a @ VM86:1
./webpack/assets/javascripts/bundle.js @ VM87:1
a @ VM86:1
window.webpackJsonp @ VM86:1
(anonymous) @ VM87:1
globalEval @ vendor-ec5f6a1f89a9337b47f6.js:122
text script @ vendor-ec5f6a1f89a9337b47f6.js:133
(anonymous) @ vendor-ec5f6a1f89a9337b47f6.js:133
j @ vendor-ec5f6a1f89a9337b47f6.js:133
(anonymous) @ vendor-ec5f6a1f89a9337b47f6.js:133
send @ vendor-ec5f6a1f89a9337b47f6.js:133
ajax @ vendor-ec5f6a1f89a9337b47f6.js:133
f._evalUrl @ vendor-ec5f6a1f89a9337b47f6.js:133
ke @ vendor-ec5f6a1f89a9337b47f6.js:133
replaceWith @ vendor-ec5f6a1f89a9337b47f6.js:133
success @ VM83:16
l @ vendor-ec5f6a1f89a9337b47f6.js:133
fireWith @ vendor-ec5f6a1f89a9337b47f6.js:133
j @ vendor-ec5f6a1f89a9337b47f6.js:133
(anonymous) @ vendor-ec5f6a1f89a9337b47f6.js:133
load (async)
send @ vendor-ec5f6a1f89a9337b47f6.js:133
ajax @ vendor-ec5f6a1f89a9337b47f6.js:133
f._evalUrl @ vendor-ec5f6a1f89a9337b47f6.js:133
ke @ vendor-ec5f6a1f89a9337b47f6.js:133
replaceWith @ vendor-ec5f6a1f89a9337b47f6.js:133
success @ VM83:16
l @ vendor-ec5f6a1f89a9337b47f6.js:133
fireWith @ vendor-ec5f6a1f89a9337b47f6.js:133
j @ vendor-ec5f6a1f89a9337b47f6.js:133
(anonymous) @ vendor-ec5f6a1f89a9337b47f6.js:133
load (async)
send @ vendor-ec5f6a1f89a9337b47f6.js:133
ajax @ vendor-ec5f6a1f89a9337b47f6.js:133
reload @ VM83:11
setTimeout (async)
start @ VM83:30
(anonymous) @ VM83:88
(anonymous) @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
dispatch @ vendor-ec5f6a1f89a9337b47f6.js:133
b.handle @ vendor-ec5f6a1f89a9337b47f6.js:133
trigger @ vendor-ec5f6a1f89a9337b47f6.js:133
(anonymous) @ vendor-ec5f6a1f89a9337b47f6.js:133
each @ vendor-ec5f6a1f89a9337b47f6.js:122
each @ vendor-ec5f6a1f89a9337b47f6.js:122
trigger @ vendor-ec5f6a1f89a9337b47f6.js:133
onLoad @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
dispatch @ vendor-ec5f6a1f89a9337b47f6.js:133
b.handle @ vendor-ec5f6a1f89a9337b47f6.js:133
K @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
tt.onload @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
load (async)
$ @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
x @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
e @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
e.handle @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
3vendor-ec5f6a1f89a9337b47f6.js:175 RangeError: Maximum call stack size exceeded
    at get (foreman_tools.js:134)
    at d.i18n.dcnpgettext [as original_jed] (theme_client_side_branding-092c6e048ea461d7632e27019ed81b0afc2d0a4a0284562c34561fdd9ef76563.js:1)
    at d.i18n.dcnpgettext [as original_jed] (theme_client_side_branding-092c6e048ea461d7632e27019ed81b0afc2d0a4a0284562c34561fdd9ef76563.js:1)
    at d.i18n.dcnpgettext [as original_jed] (theme_client_side_branding-092c6e048ea461d7632e27019ed81b0afc2d0a4a0284562c34561fdd9ef76563.js:1)
    at d.i18n.dcnpgettext [as original_jed] (theme_client_side_branding-092c6e048ea461d7632e27019ed81b0afc2d0a4a0284562c34561fdd9ef76563.js:1)
    at d.i18n.dcnpgettext [as original_jed] (theme_client_side_branding-092c6e048ea461d7632e27019ed81b0afc2d0a4a0284562c34561fdd9ef76563.js:1)
    at d.i18n.dcnpgettext [as original_jed] (theme_client_side_branding-092c6e048ea461d7632e27019ed81b0afc2d0a4a0284562c34561fdd9ef76563.js:1)
    at d.i18n.dcnpgettext [as original_jed] (theme_client_side_branding-092c6e048ea461d7632e27019ed81b0afc2d0a4a0284562c34561fdd9ef76563.js:1)
    at d.i18n.dcnpgettext [as original_jed] (theme_client_side_branding-092c6e048ea461d7632e27019ed81b0afc2d0a4a0284562c34561fdd9ef76563.js:1)
    at d.i18n.dcnpgettext [as original_jed] (theme_client_side_branding-092c6e048ea461d7632e27019ed81b0afc2d0a4a0284562c34561fdd9ef76563.js:1)
oo @ vendor-ec5f6a1f89a9337b47f6.js:175
n.callback @ vendor-ec5f6a1f89a9337b47f6.js:175
aa @ vendor-ec5f6a1f89a9337b47f6.js:175
ra @ vendor-ec5f6a1f89a9337b47f6.js:175
hi @ vendor-ec5f6a1f89a9337b47f6.js:175
di @ vendor-ec5f6a1f89a9337b47f6.js:175
ui @ vendor-ec5f6a1f89a9337b47f6.js:175
No @ vendor-ec5f6a1f89a9337b47f6.js:175
yi @ vendor-ec5f6a1f89a9337b47f6.js:175
vi @ vendor-ec5f6a1f89a9337b47f6.js:175
xi.render @ vendor-ec5f6a1f89a9337b47f6.js:175
(anonymous) @ vendor-ec5f6a1f89a9337b47f6.js:175
gi @ vendor-ec5f6a1f89a9337b47f6.js:175
Si @ vendor-ec5f6a1f89a9337b47f6.js:175
render @ vendor-ec5f6a1f89a9337b47f6.js:175
t.mount @ MountingService.js:29
(anonymous) @ VM91:2
globalEval @ vendor-ec5f6a1f89a9337b47f6.js:122
ke @ vendor-ec5f6a1f89a9337b47f6.js:133
replaceWith @ vendor-ec5f6a1f89a9337b47f6.js:133
success @ VM83:16
l @ vendor-ec5f6a1f89a9337b47f6.js:133
fireWith @ vendor-ec5f6a1f89a9337b47f6.js:133
j @ vendor-ec5f6a1f89a9337b47f6.js:133
(anonymous) @ vendor-ec5f6a1f89a9337b47f6.js:133
load (async)
send @ vendor-ec5f6a1f89a9337b47f6.js:133
ajax @ vendor-ec5f6a1f89a9337b47f6.js:133
reload @ VM83:11
setTimeout (async)
start @ VM83:30
(anonymous) @ VM83:88
(anonymous) @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
dispatch @ vendor-ec5f6a1f89a9337b47f6.js:133
b.handle @ vendor-ec5f6a1f89a9337b47f6.js:133
trigger @ vendor-ec5f6a1f89a9337b47f6.js:133
(anonymous) @ vendor-ec5f6a1f89a9337b47f6.js:133
each @ vendor-ec5f6a1f89a9337b47f6.js:122
each @ vendor-ec5f6a1f89a9337b47f6.js:122
trigger @ vendor-ec5f6a1f89a9337b47f6.js:133
onLoad @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
dispatch @ vendor-ec5f6a1f89a9337b47f6.js:133
b.handle @ vendor-ec5f6a1f89a9337b47f6.js:133
K @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
tt.onload @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
load (async)
$ @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
x @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
e @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
e.handle @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
vendor-ec5f6a1f89a9337b47f6.js:175 Uncaught RangeError: Maximum call stack size exceeded
    at get (foreman_tools.js:134)
    at d.i18n.dcnpgettext [as original_jed] (theme_client_side_branding-092c6e048ea461d7632e27019ed81b0afc2d0a4a0284562c34561fdd9ef76563.js:1)
    at d.i18n.dcnpgettext [as original_jed] (theme_client_side_branding-092c6e048ea461d7632e27019ed81b0afc2d0a4a0284562c34561fdd9ef76563.js:1)
    at d.i18n.dcnpgettext [as original_jed] (theme_client_side_branding-092c6e048ea461d7632e27019ed81b0afc2d0a4a0284562c34561fdd9ef76563.js:1)
    at d.i18n.dcnpgettext [as original_jed] (theme_client_side_branding-092c6e048ea461d7632e27019ed81b0afc2d0a4a0284562c34561fdd9ef76563.js:1)
    at d.i18n.dcnpgettext [as original_jed] (theme_client_side_branding-092c6e048ea461d7632e27019ed81b0afc2d0a4a0284562c34561fdd9ef76563.js:1)
    at d.i18n.dcnpgettext [as original_jed] (theme_client_side_branding-092c6e048ea461d7632e27019ed81b0afc2d0a4a0284562c34561fdd9ef76563.js:1)
    at d.i18n.dcnpgettext [as original_jed] (theme_client_side_branding-092c6e048ea461d7632e27019ed81b0afc2d0a4a0284562c34561fdd9ef76563.js:1)
    at d.i18n.dcnpgettext [as original_jed] (theme_client_side_branding-092c6e048ea461d7632e27019ed81b0afc2d0a4a0284562c34561fdd9ef76563.js:1)
    at d.i18n.dcnpgettext [as original_jed] (theme_client_side_branding-092c6e048ea461d7632e27019ed81b0afc2d0a4a0284562c34561fdd9ef76563.js:1)
ui @ vendor-ec5f6a1f89a9337b47f6.js:175
No @ vendor-ec5f6a1f89a9337b47f6.js:175
yi @ vendor-ec5f6a1f89a9337b47f6.js:175
vi @ vendor-ec5f6a1f89a9337b47f6.js:175
xi.render @ vendor-ec5f6a1f89a9337b47f6.js:175
(anonymous) @ vendor-ec5f6a1f89a9337b47f6.js:175
gi @ vendor-ec5f6a1f89a9337b47f6.js:175
Si @ vendor-ec5f6a1f89a9337b47f6.js:175
render @ vendor-ec5f6a1f89a9337b47f6.js:175
t.mount @ MountingService.js:29
(anonymous) @ VM91:2
globalEval @ vendor-ec5f6a1f89a9337b47f6.js:122
ke @ vendor-ec5f6a1f89a9337b47f6.js:133
replaceWith @ vendor-ec5f6a1f89a9337b47f6.js:133
success @ VM83:16
l @ vendor-ec5f6a1f89a9337b47f6.js:133
fireWith @ vendor-ec5f6a1f89a9337b47f6.js:133
j @ vendor-ec5f6a1f89a9337b47f6.js:133
(anonymous) @ vendor-ec5f6a1f89a9337b47f6.js:133
load (async)
send @ vendor-ec5f6a1f89a9337b47f6.js:133
ajax @ vendor-ec5f6a1f89a9337b47f6.js:133
reload @ VM83:11
setTimeout (async)
start @ VM83:30
(anonymous) @ VM83:88
(anonymous) @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
dispatch @ vendor-ec5f6a1f89a9337b47f6.js:133
b.handle @ vendor-ec5f6a1f89a9337b47f6.js:133
trigger @ vendor-ec5f6a1f89a9337b47f6.js:133
(anonymous) @ vendor-ec5f6a1f89a9337b47f6.js:133
each @ vendor-ec5f6a1f89a9337b47f6.js:122
each @ vendor-ec5f6a1f89a9337b47f6.js:122
trigger @ vendor-ec5f6a1f89a9337b47f6.js:133
onLoad @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
dispatch @ vendor-ec5f6a1f89a9337b47f6.js:133
b.handle @ vendor-ec5f6a1f89a9337b47f6.js:133
K @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
tt.onload @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
load (async)
$ @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
x @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
e @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
e.handle @ application-64307e378000581d0ac20e49d7378f494afc01605226ae3cd435b94f5cdf2fb0.js:1
vendor-ec5f6a1f89a9337b47f6.js:133 [Violation] 'load' handler took 89109ms
[Violation] Forced reflow while executing JavaScript took 45ms

Comment 2 Adam Ruzicka 2018-11-13 14:05:56 UTC
Created redmine issue http://projects.theforeman.org/issues/25444 from this bug

Comment 3 Brad Buckingham 2018-11-13 17:03:43 UTC
*** Bug 1648340 has been marked as a duplicate of this bug. ***

Comment 6 Adam Ruzicka 2018-12-11 11:12:10 UTC
*** Bug 1657947 has been marked as a duplicate of this bug. ***

Comment 7 Adam Ruzicka 2019-01-02 10:21:13 UTC
*** Bug 1662325 has been marked as a duplicate of this bug. ***

Comment 8 yuefliu 2019-01-11 03:04:00 UTC
*** Bug 1664246 has been marked as a duplicate of this bug. ***

Comment 9 Bryan Kearney 2019-01-15 17:05:37 UTC
Upstream bug assigned to inecas@redhat.com

Comment 10 Bryan Kearney 2019-01-15 17:05:39 UTC
Upstream bug assigned to inecas@redhat.com

Comment 11 Bryan Kearney 2019-01-15 17:06:33 UTC
Upstream bug assigned to inecas@redhat.com

Comment 12 Bryan Kearney 2019-01-15 17:06:34 UTC
Upstream bug assigned to inecas@redhat.com

Comment 13 Bryan Kearney 2019-01-15 17:07:47 UTC
Upstream bug assigned to inecas@redhat.com

Comment 14 Bryan Kearney 2019-01-15 17:07:48 UTC
Upstream bug assigned to inecas@redhat.com

Comment 15 Bryan Kearney 2019-01-15 17:08:27 UTC
Upstream bug assigned to inecas@redhat.com

Comment 16 Bryan Kearney 2019-01-15 17:08:28 UTC
Upstream bug assigned to inecas@redhat.com

Comment 17 Bryan Kearney 2019-01-15 17:09:30 UTC
Upstream bug assigned to inecas@redhat.com

Comment 18 Bryan Kearney 2019-01-15 17:09:31 UTC
Upstream bug assigned to inecas@redhat.com

Comment 19 Bryan Kearney 2019-01-15 17:10:27 UTC
Upstream bug assigned to inecas@redhat.com

Comment 20 Bryan Kearney 2019-01-15 17:10:28 UTC
Upstream bug assigned to inecas@redhat.com

Comment 22 Mirek Zalewski 2019-01-28 10:43:45 UTC
Fix confirmed after re-test.
I have opened page for docker repository synchronization task and left it open for about 8 minutes, until synchronization completed. Page UI wasn't impacted at all, there was no error in JS console.

Tested on:
Satellite 6.5 snap 13
foreman-1.20.1.9-1.el7sat.noarch
satellite-6.5.0-6.beta.el7sat.noarch
katello-3.10.0-0.6.rc1.el7sat.noarch
pulp-server-2.18.0-0.1.rc.el7sat.noarch
tfm-rubygem-foreman-tasks-core-0.2.5-2.el7sat.noarch
tfm-rubygem-foreman-tasks-0.14.4.3-1.el7sat.noarch
Chrome 71.0.3578.98
Firefox 60.4.0esr

Comment 24 errata-xmlrpc 2019-05-14 12:38:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.